Subject: Re: [SIP] LDAP schema for SIP

From: Hisham Khartabil <[email-masked]>
Date: Tue, 01 Aug 2000 16:48:39 +0300

Hi,

As I understand, and please correct me if I'm wrong,  your sipd server only uses
the LDAP server when your local DB fails to return any info about the callee.
What we want to is use the LDAP server as our location server for REGISTER
requests and retrieval (as you said, a backend for a registrar).

I know that LDAP is more used for long term location info and doesn't fit nicely
in a rapidly changing location info (a lot of writes as well as reads), but we
are willing to experiment anyway.

Do you think its worth the effort in defining a schema for SIP?

Much appreciated
Hisham

Henning Schulzrinne wrote:

> No work that I know of. However, this would presumably just be an
> extension of the usual 'Internet person' scheme (unless you want to use
> LDAP as the backend for a registrar that stores more dynamic
> reachability information). In most cases, an existing schema, with the
> email address also serving as a SIP address, will be a good first
> approximation.
>
> We use LDAP in our sipd server and simply key on the email address in
> the LDAD db or display name for local users.
>
> Hisham Khartabil wrote:
> >
> > Hi all,
> >
> > I was wondering if there has been any work done on an LDAP schema for SIP.
> > If so, I would appreciate a pointer to some documentation.  If not, can
> > someone give me some implementation hits on what the DN would look like
> > (using the To: header?? ).  Also the attribute types used for storing the
> > contact sip-uri, and parameters such as action, q, etc.
> >
> > Much appreciated
> > Hisham
> >
> > _______________________________________________
> > SIP mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 01 Aug 2000 11:10:40 -0400

> the LDAP server when your local DB fails to return any info about the callee.

Yes.

> Do you think its worth the effort in defining a schema for SIP?

I would see this more as an extension of an existing (person) schema
than something completely new.